package chapter2;

import org.springframework.test.AbstractDependencyInjectionSpringContextTests;

import chapter2.first.PoeticJuggler;
import chapter2.second.Instrumentalist;
import chapter2.second.Saxophone;

public class InjectingInnerBeanTest extends AbstractDependencyInjectionSpringContextTests {

	@Override
	protected String[] getConfigLocations() {
		return new String[] { "file:src/chapter2/second/context.xml" };
	}

	public void testInstumentalistDI() throws Exception {
		Instrumentalist instrumentalist = (Instrumentalist) applicationContext.getBean("kenny3");
		assertEquals(Saxophone.class, instrumentalist.getInstrument().getClass());
		assertEquals("Jingle Bells", instrumentalist.getSong());
	}

	public void testPoeticJugglerDI() throws Exception {
		PoeticJuggler juggler = (PoeticJuggler)applicationContext.getBean("duke");
		assertNotNull(juggler.getPoem());
		assertEquals(15, juggler.getBeanBags());
	}

}
